/* 
 * Copyright (c) 2012 Qualcomm Atheros, Inc.. 
 * All Rights Reserved. 
 * Qualcomm Atheros Confidential and Proprietary. 
 */

#ifndef __MUSIC_UTIL_H__
#define __MUSIC_UTIL_H__

#ifdef __cplusplus
extern "C" {
#endif    /* __cplusplus */


#include <stdarg.h>
#include <stdbool.h>
#include <string.h>
#include <stdint.h>
#include "ctype.h"
int printf(const char *format, ...);
int snprintf(char *out, int size, const char *format, ...);
int sprintf(char *out, const char *format, ...);
char *strrchr(const char *str, int ch);
int atoi(const char *nptr);
void *memmove(void *dest, const void *src, size_t n);
char *strstr(const char *s1, const char *s2);
int vprintf(char *format, va_list param);
void print_llx(char *output, unsigned long long *num);
void print_lld(char *output, unsigned long long *num);

#ifdef __cplusplus
}
#endif    /* __cplusplus */

#endif                          /* __MUSIC_UTIL_H__ */
